import prettier from "prettier";
export declare function prettierOptions(path: string): Promise<prettier.Options>;
export declare type Options = {
    uri: string;
    database: string;
    out: string;
    bannerComment: string[];
    enableConstEnums: boolean;
    ignoreMinAndMaxItems: boolean;
    strictIndexSignatures: boolean;
    unknownAny: boolean;
};
export declare const defaultOptions: Options;
export declare function parseConfig(config: string): Options;
export declare function loadConfig(): Options;
/**
 * Returns the expanded environment variable if the provided value starts with
 * "$", otherwise returns the provided value as-is.
 */
export declare function expandEnv(val: string): string;
//# sourceMappingURL=options.d.ts.map